camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (CAMEL-5924) Deprecated API is used in JClouds
Date Fri, 04 Jan 2013 16:42:12 GMT

     [ https://issues.apache.org/jira/browse/CAMEL-5924?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Claus Ibsen updated CAMEL-5924:
-------------------------------

      Priority: Minor  (was: Major)
    Issue Type: Improvement  (was: Bug)

Dmitry, are you working on a patch?
                
> Deprecated API is used in JClouds
> ---------------------------------
>
>                 Key: CAMEL-5924
>                 URL: https://issues.apache.org/jira/browse/CAMEL-5924
>             Project: Camel
>          Issue Type: Improvement
>          Components: camel-jclouds
>    Affects Versions: 2.10.3
>            Reporter: Dmitry Buzdin
>            Priority: Minor
>
> On these lines
> JCloudsComponent:79 
> JCloudsComponen:98
> method getProviderSpecificContext() is used. It is marked as deprecated and the new method
is unwrap(), which should behave the same.
> The problem with this is using "transient" blobstore provider for testing purposes. Since
it does not implement RestContext it fails with ClassCastException. Switching to unwrap()
solves the problem.
> Consider updating to latest JClouds as well as there were some important bugfixes. Release
1.5.5 is promised quite soon.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message